Subject: Re: [PATCH -mm 1/3] USB: FHCI: Driver should be responsible for managing endpoint queues

From: Greg KH <[email-masked]>
Date: Wed, 24 Dec 2008 12:58:35 -0800

On Wed, Dec 24, 2008 at 12:18:53PM -0800, Andrew Morton wrote:
> On Wed, 24 Dec 2008 23:08:45 +0300 Anton Vorontsov <[email-masked]> wrote:
> 
> > On Wed, Dec 24, 2008 at 11:59:36AM -0800, Greg KH wrote:
> > > On Wed, Dec 24, 2008 at 10:13:03PM +0300, Anton Vorontsov wrote:
> > > > Follow these changes for the FHCI driver:
> > > 
> > > Hm, would it just make more sense to respin the whole driver?  That way
> > > it's never in the tree in a "broken" state?
> > 
> > It's for -mm tree. If I understand -mm workflow correctly, Andrew
> > will merge all the fixes into the final patch before sending it to
> > you in late -rc0 phase, when various -next git trees (on which this
> > driver depend) will be merged into the Linus tree.
> >
> > Andrew, am I correct?
> 
> Yes, that's what I do.
> 
> I prefer to see the incremental patches once a patch has had review or
> testing, so we can see which bits changed.  But if Greg intends to
> merge this driver then he'd probably prefer a fresh new patch,
> particularly as a) version 1 was only sent yesterday and b) he hasn't
> merged version #1.

I do intend to merge it, given that it's in a buildable format :)

So a merged version would be good for me.

thanks,

greg k-h